Subject: bug#28257: 26.0.50; [PATCH] expose eldoc functions in a hook

From: Noam Postavsky <[email-masked]>
Date: Mon, 24 Jun 2019 18:51:33 -0400

Lars Ingebrigtsen <[email-masked]> writes:

> Mark Oteiza <[email-masked]> writes:
>
>>> Could be a worthwhile tradeoff (especially
>>>since there currently aren't any individual mode eldoc functions using
>>>anything apart from :before-until, afaik); I'm on the fence about this.
>>
>> Not in emacs, at least.  In elpa, ggtags uses :after-until.  The only
>> 3rd party packages--that I can think of right now--that implement eldoc
>> functions just use setq-local (elpy and geiser).
>
> Noam, still on the fence?

I haven't really thought about this much, maybe bring it up on
emacs-devel?